Skip to main content
GET
/
api
/
servers
/
{serverId}
Get server details by ID
curl --request GET \
  --url https://api.example.com/api/servers/{serverId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "modelFile": {
      "id": "<string>",
      "name": "<string>",
      "localPath": "<string>",
      "isDownloaded": true,
      "quantization": "<string>"
    },
    "serverConfig": {
      "modelFileName": "<string>",
      "apiParams": {},
      "loadParams": {},
      "inferParams": {},
      "logsDir": "<string>"
    },
    "server": {
      "host": "<string>",
      "port": 123
    },
    "tag": "<string>",
    "status": "STARTING",
    "serverProcessId": 123,
    "id": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://anaconda.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your API key here

Path Parameters

serverId
string
required

ID of the server to retrieve

Response

Server details retrieved successfully

data
object